<?php

global $smcFunc, $db_prefix;

db_extend('packages');
db_extend('extra');

// Insert settings
$smcFunc['db_insert'](
	'ignore',
	'{db_prefix}settings',
	array(
		'variable' => 'string',
		'value' => 'string'
	),
	array(
		array(
			'forum_cat',
			'1',
		),
		array(
			'forum_name',
			'one'
		),
	),
	array()
);

// Create the forums table
$columns = array(
   array(
      'name' => 'forum_name',
      'type' => 'varchar',
      'size' => '255',
   ),
   array(
      'name' => 'cat_list',
      'type' => 'varchar',
      'size' => '255',
   )
);

$smcFunc['db_create_table']
(
	'forums', // Table name
	$columns,
	array(
		array(
			'type' => 'primary',
			'columns' => array('forum_name'),
		),
	),
	array(),
	'ignore'
);

// Now insert the default shared forum
$smcFunc['db_insert'](
	'ignore',
	'{db_prefix}forums',
	array(
		'forum_name' => 'string',
		'cat_list' => 'int'
	),
	array(
		'one',
		1
	),
	array()
);

?>